Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(19)

Unified Diff: dev-util/bsdiff/bsdiff-4.3-r1.ebuild

Issue 3007030: bsdiff: force off_t to be 64 bits, honor size_t length (Closed) Base URL: ssh://git@chromiumos-git/chromiumos-overlay.git
Patch Set: fix size_t max handling Created 10 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | dev-util/bsdiff/files/4.3_bspatch-support-input-output-positioning.patch » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: dev-util/bsdiff/bsdiff-4.3-r1.ebuild
diff --git a/dev-util/bsdiff/bsdiff-4.3-r1.ebuild b/dev-util/bsdiff/bsdiff-4.3-r1.ebuild
index a58d62416de5f5ba7e414801f51c3b064333d08b..16242737f8744a68961181e32ac186fd3a461624 100644
--- a/dev-util/bsdiff/bsdiff-4.3-r1.ebuild
+++ b/dev-util/bsdiff/bsdiff-4.3-r1.ebuild
@@ -24,8 +24,8 @@ src_prepare() {
src_compile() {
append-lfs-flags
- $(tc-getCC) ${CFLAGS} ${LDFLAGS} -o bsdiff bsdiff.c -lbz2 || die "failed compiling bsdiff"
- $(tc-getCC) ${CFLAGS} ${LDFLAGS} -o bspatch bspatch.c -lbz2 || die "failed compiling bspatch"
+ $(tc-getCC) ${CFLAGS} -D_FILE_OFFSET_BITS=64 ${LDFLAGS} -o bsdiff bsdiff.c -lbz2 || die "failed compiling bsdiff"
+ $(tc-getCC) ${CFLAGS} -D_FILE_OFFSET_BITS=64 ${LDFLAGS} -o bspatch bspatch.c -lbz2 || die "failed compiling bspatch"
}
src_install() {
« no previous file with comments | « no previous file | dev-util/bsdiff/files/4.3_bspatch-support-input-output-positioning.patch » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698